Package com.enonic.xp.convert

## Class ConvertException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.enonic.xp.convert.ConvertException

- All Implemented Interfaces:
    `Serializable`

      @PublicApi
      public final class ConvertException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConvertException​(String message)` |
    `ConvertException​(String message, Throwable cause)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConvertException` | `convertFailure​(Class<?> source, Class<?> target, Throwable cause)` |
    `static ConvertException` | `noSuchConverter​(Class<?> source, Class<?> target)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvertException

          public ConvertException​(String message)

    - #### ConvertException

          public ConvertException​(String message,
                                  Throwable cause)

  - ### Method Detail

    - #### noSuchConverter

          public static ConvertException noSuchConverter​(Class<?> source,
                                                         Class<?> target)

    - #### convertFailure

          public static ConvertException convertFailure​(Class<?> source,
                                                        Class<?> target,
                                                        Throwable cause)